Summary: Glide runtime for the 3Dfx Voodoo family of cards
Name: Glide3

%global momorel 20
%global cvsdate 20010520

Version: 3.10.0
Release: %{momorel}m
License: "3DFX GLIDE Source Code General Public License"
Group: System Environment/Libraries
URL: http://www.3dfx.com/

Source: Glide3-%{cvsdate}.tar.bz2
Source1: glidelink.c

Patch: glide-ia64.patch
Patch1: Glide3-libtool.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k
BuildPreReq: kudzu-devel, pciutils-devel
# for X11/extensions/xf86vmode.h
BuildPreReq: XFree86-devel

ExclusiveArch: i386 i486 i586 i686 ia64 alpha alphaev5
Prereq: glibc, kudzu

%description
Glide3 is a low-level API for accessing 3Dfx Interactive's Voodoo
series of graphics hardware. It allows for accelerated 3D graphics.

Install Glide3 if you have a 3Dfx Voodoo 3/4/5 or Voodoo Banshee,
and would like to have accelerated hardware 3D support.
#'

%package devel
Summary: Development libraries and headers for Glide
Group: Development/Libraries
Requires: Glide3 = %{version}-%{release}

%description devel
This package includes the header files, documentation, and test files
necessary for developing applications that use any of the 3D acceleratos in
the 3Dfx Interactive Voodoo line.
 
%prep
%setup -q -n %{name}
%patch -p1 -b .ia64-foo
%patch1 -p1 -b .libtool
mv ./h5/glide3/src/cpudtect.s ./h5/glide3/src/cpudtect.S

libtoolize -c -f
aclocal
automake-old
autoconf

%build
%global _configure_cmd ../configure
%append _make_args -- -f makefile.autoconf

mkdir build-5
(
  cd build-5
  %configure \
    --enable-fx-debug=no \
    --enable-fx-glide-hw=h5 \
    --enable-fx-dri-build

  %make all
)

mkdir build-3
(
  cd build-3
  %configure \
    --enable-fx-debug=no \
    --enable-fx-glide-hw=h3 \
    --enable-fx-dri-build

  %make all
)

cc -o glidelink %{SOURCE1} %{optflags} \
  -DGLIDELIB=\"/usr/lib/libglide3.so.%{version}\" -lkudzu -lpci

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/sbin
install -m 755 glidelink %{buildroot}/usr/sbin/glidelink

cd build-3

make -f makefile.autoconf install DESTDIR=%{buildroot}

# Hack
mkdir -p %{buildroot}/usr/lib/glide3
mv %{buildroot}/usr/lib/libglide3.so.%{version} \
	%{buildroot}/usr/lib/glide3/libglide3-v3.so
install -m 755 ../build-5/h5/glide3/src/.libs/libglide3.so.%{version} \
	%{buildroot}/usr/lib/glide3/libglide3-v5.so
# Point to v3 by default
ln -snf glide3/libglide3-v3.so %{buildroot}/usr/lib/libglide3.so.%{version}
# ldconfig doesn't like this?
ln -snf libglide3.so.%{version} %{buildroot}/usr/lib/libglide3.so.3

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
/usr/sbin/glidelink

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/lib/glide3
/usr/lib/libglide3.so.3
/usr/lib/libglide3.so.%{version}
/usr/sbin/glidelink

%files devel
%defattr(-,root,root)
%doc COPYING
/usr/include/glide3
/usr/lib/libglide3.a
/usr/lib/libglide3.la
/usr/lib/libglide3.so

%changelog
* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (3.10.0-20m)
- revised spec for enabling rpm 4.2.

* Sun Dec  7 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.10.0-19m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Oct 26 2003 Kenta MURATA <muraken2@nifty.com>
- (3.10.0-18m)
- use %%make and %%configure macro.

* Sat Oct 18 2003 Kenta MURATA <muraken2@nifty.com>
- (3.10.0-18m)
- adapt the License: preamble for the Momonga Linux licence expression
  unification policy (draft)

* Wed Oct  2 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.10.0-17m)
 add BuildPreReq: XFree86-devel for X11/extensions/xf86vmode.h

* Wed Aug 07 2002 Kenta MURATA <muraken2@nifty.com>
- (3.10.0-16m)
- add BuildPreReq: pciutils-devel

* Wed Jul 17 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (3.10.0-15m)
- add BuildPreReq: kudzu-devel

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.10.0-14k)
- /sbin/ldconfig -> glibc in PreReq.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.10.0-12k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Tue Jan  8 2002 Shingo Akagaki <dora@kondara.org>
- (3.10.0-10k)
- autoconf automake 1.5

* Thu Sep  6 2001 Toru Hoshina <toru@df-usa.com>
- (3.10.0-8k)
- 20010520

* Thu Jul  5 2001 Toru Hoshina <toru@df-usa.com>
- (3.10.0-6k)
- add alphaev5 support.

* Wed Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- (3.10.0-5k)
- change GROUP from Libraries -> System Environment/Libraries

* Sat Jan  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.10.0-3k)
- Kondarization

* Thu Dec 21 2000 Bill Nottingham <notting@redhat.com>
- fix alpha asm (rth@redhat.com)

* Wed Dec 20 2000 Bill Nottingham <notting@redhat.com>
- update CVS
- build in 7.1 tree

* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- initial packaging
	
